GemFireMemberStatus (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.admin

## Class GemFireMemberStatus

- java.lang.Object
- - org.apache.geode.admin.GemFireMemberStatus

- All Implemented Interfaces:
    java.io.Serializable

  Deprecated.
  as of 7.0 use the `management` package instead

      public class GemFireMemberStatus
      extends java.lang.Object
      implements java.io.Serializable

  Class `GemFireMemberStatus` provides the status of a specific GemFire member VM. This VM can be a peer, a client, a server and/or a gateway.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `_bindAddress` Deprecated.
    `protected java.util.Map` | `_clientHealthStats` Deprecated.
    `protected java.util.Map` | `_clientHostNames` Deprecated.
    `protected java.util.Map` | `_clientQueueSizes` Deprecated.
    `protected java.util.Set` | `_connectedClients` Deprecated.
    `protected java.util.Map` | `_connectedIncomingGateways` Deprecated.
    `protected java.util.Set` | `_connectedPeers` Deprecated.
    `protected java.util.Set` | `_connectedServers` Deprecated.
    `protected long` | `_freeHeapSize` Deprecated.
    `protected java.lang.Object` | `_gatewayHubStatus` Deprecated.
    `protected java.util.Map` | `_gatewayQueueSizes` Deprecated.
    `protected java.net.InetAddress` | `_hostAddress` Deprecated.
    `protected boolean` | `_isClient` Deprecated. Notifies whether this member is a client to a cache server.
    `protected boolean` | `_isConnected` Deprecated.
    `protected boolean` | `_isGatewayHub` Deprecated. Notifies whether this member is a hub for WAN gateways.
    `protected boolean` | `_isLocator` Deprecated. Notifies whether this member is a locator.
    `protected boolean` | `_isPrimaryGatewayHub` Deprecated.
    `protected boolean` | `_isServer` Deprecated. Notifies whether this member is a cache server.
    `protected java.lang.String` | `_locators` Deprecated.
    `protected long` | `_maximumHeapSize` Deprecated.
    `protected java.net.InetAddress` | `_mcastAddress` Deprecated.
    `protected int` | `_mcastPort` Deprecated.
    `protected java.io.Serializable` | `_memberId` Deprecated.
    `protected java.lang.String` | `_memberName` Deprecated.
    `protected java.util.Map` | `_outgoingGateways` Deprecated.
    `protected java.util.Map` | `_regionStatuses` Deprecated.
    `protected int` | `_serverPort` Deprecated.
    `protected java.util.Set` | `_unconnectedServers` Deprecated.
    `protected Cache` | `cache` Deprecated.
    `protected long` | `upTime` Deprecated.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GemFireMemberStatus()` Deprecated.
    `GemFireMemberStatus(Cache cache)` Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addConnectedClient(java.lang.String connectedClient)` Deprecated.
    `protected void` | `addConnectedServer(java.lang.String connectedServer)` Deprecated.
    `protected void` | `addUnconnectedServer(java.lang.String unconnectedServer)` Deprecated.
    `java.lang.String` | `getBindAddress()` Deprecated.
    `java.util.Map` | `getClientHealthStats()` Deprecated.
    `java.lang.Object` | `getClientHealthStats(java.lang.String clientID)` Deprecated. For internal use only
    `java.lang.String` | `getClientHostName(java.lang.String clientId)` Deprecated.
    `int` | `getClientQueueSize(java.lang.String clientMemberId)` Deprecated.
    `java.util.Map` | `getClientQueueSizes()` Deprecated.
    `java.util.Set` | `getConnectedClients()` Deprecated.
    `java.util.Map` | `getConnectedIncomingGateways()` Deprecated.
    `java.util.Set` | `getConnectedPeers()` Deprecated.
    `java.util.Set` | `getConnectedServers()` Deprecated.
    `long` | `getFreeHeapSize()` Deprecated.
    `java.lang.Object` | `getGatewayHubStatus()` Deprecated. For internal use only
    `java.net.InetAddress` | `getHostAddress()` Deprecated.
    `boolean` | `getIsClient()` Deprecated. Returns whether this member is a client to a cache server
    `boolean` | `getIsConnected()` Deprecated.
    `boolean` | `getIsGatewayHub()` Deprecated. Returns whether this member is a hub for WAN gateways
    `boolean` | `getIsLocator()` Deprecated.
    `boolean` | `getIsPrimaryGatewayHub()` Deprecated.
    `boolean` | `getIsSecondaryGatewayHub()` Deprecated.
    `boolean` | `getIsServer()` Deprecated. Returns whether this member is a cache server
    `java.lang.String` | `getLocators()` Deprecated.
    `long` | `getMaximumHeapSize()` Deprecated.
    `java.net.InetAddress` | `getMcastAddress()` Deprecated.
    `int` | `getMcastPort()` Deprecated.
    `java.io.Serializable` | `getMemberId()` Deprecated.
    `java.lang.String` | `getMemberName()` Deprecated.
    `java.util.Map` | `getOutgoingGateways()` Deprecated.
    `java.lang.Object` | `getRegionStatus(java.lang.String fullRegionPath)` Deprecated. For internal use only
    `java.util.Map` | `getRegionStatuses()` Deprecated.
    `int` | `getServerPort()` Deprecated.
    `java.util.Set` | `getUnconnectedServers()` Deprecated.
    `long` | `getUpTime()` Deprecated.
    `long` | `getUsedHeapSize()` Deprecated.
    `protected void` | `initialize(DistributedSystem distributedSystem)` Deprecated.
    `protected void` | `initializeAll(DistributedSystem distributedSystem)` Deprecated.
    `protected void` | `initializeClient()` Deprecated.
    `protected void` | `initializeDistributedSystem(DistributedSystem distributedSystem)` Deprecated.
    `protected void` | `initializeInstanceVariables()` Deprecated.
    `protected void` | `initializeMemory()` Deprecated.
    `protected void` | `initializePeers(DistributedSystem distributedSystem)` Deprecated.
    `protected void` | `initializeRegionSizes()` Deprecated.
    `protected void` | `initializeServer()` Deprecated.
    `protected void` | `putClientHostName(java.lang.String clientId, java.lang.String hostName)` Deprecated.
    `protected void` | `putClientQueueSize(java.lang.String clientMemberId, int size)` Deprecated.
    `protected void` | `putRegionStatus(java.lang.String fullRegionPath, org.apache.geode.internal.cache.RegionStatus status)` Deprecated.
    `protected void` | `setBindAddress(java.lang.String bindAddress)` Deprecated.
    `protected void` | `setClientHealthStats(java.util.Map stats)` Deprecated.
    `protected void` | `setClientHealthStats(java.lang.String clientID, org.apache.geode.internal.admin.remote.ClientHealthStats stats)` Deprecated.
    `protected void` | `setClientQueueSizes(java.util.Map clientQueueSizes)` Deprecated.
    `protected void` | `setConnectedIncomingGateways(java.util.Map connectedIncomingGateways)` Deprecated.
    `protected void` | `setConnectedPeers(java.util.Set connectedPeers)` Deprecated.
    `protected void` | `setConnectedServers(java.util.Set connectedServers)` Deprecated.
    `protected void` | `setFreeHeapSize(long size)` Deprecated.
    `protected void` | `setHostAddress(java.net.InetAddress hostAddress)` Deprecated.
    `protected void` | `setIsClient(boolean isClient)` Deprecated. Sets whether this member is a client to a cache server
    `protected void` | `setIsConnected(boolean isConnected)` Deprecated.
    `protected void` | `setIsGatewayHub(boolean isGatewayHub)` Deprecated. Sets whether this member is a cache server
    `protected void` | `setIsLocator(boolean isLocator)` Deprecated.
    `protected void` | `setIsPrimaryGatewayHub(boolean isPrimaryGatewayHub)` Deprecated.
    `protected void` | `setIsServer(boolean isServer)` Deprecated. Sets whether this member is a cache server
    `protected void` | `setLocators(java.lang.String locators)` Deprecated.
    `protected void` | `setMaximumHeapSize(long size)` Deprecated.
    `protected void` | `setMcastAddress(java.net.InetAddress mcastAddress)` Deprecated.
    `protected void` | `setMcastPort(int mcastPort)` Deprecated.
    `protected void` | `setMemberId(java.io.Serializable memberId)` Deprecated.
    `protected void` | `setMemberName(java.lang.String memberName)` Deprecated.
    `protected void` | `setServerPort(int port)` Deprecated.
    `protected void` | `setUnconnectedServers(java.util.Set unconnectedServers)` Deprecated.
    `void` | `setUpTime(long upTime)` Deprecated.
    `java.lang.String` | `toString()` Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _isClient

          protected boolean _isClient

      Deprecated.
      Notifies whether this member is a client to a cache server.

    - #### _isServer

          protected boolean _isServer

      Deprecated.
      Notifies whether this member is a cache server.

    - #### _isGatewayHub

          protected boolean _isGatewayHub

      Deprecated.
      Notifies whether this member is a hub for WAN gateways.

    - #### _isLocator

          protected boolean _isLocator

      Deprecated.
      Notifies whether this member is a locator.

    - #### _isPrimaryGatewayHub

          protected boolean _isPrimaryGatewayHub

      Deprecated.

    - #### _gatewayHubStatus

          protected java.lang.Object _gatewayHubStatus

      Deprecated.

    - #### _isConnected

          protected boolean _isConnected

      Deprecated.

    - #### _memberId

          protected java.io.Serializable _memberId

      Deprecated.

    - #### _connectedPeers

          protected java.util.Set _connectedPeers

      Deprecated.

    - #### _connectedServers

          protected java.util.Set _connectedServers

      Deprecated.

    - #### _unconnectedServers

          protected java.util.Set _unconnectedServers

      Deprecated.

    - #### _connectedClients

          protected java.util.Set _connectedClients

      Deprecated.

    - #### _connectedIncomingGateways

          protected java.util.Map _connectedIncomingGateways

      Deprecated.

    - #### _outgoingGateways

          protected java.util.Map _outgoingGateways

      Deprecated.

    - #### _clientHostNames

          protected java.util.Map _clientHostNames

      Deprecated.

    - #### _clientQueueSizes

          protected java.util.Map _clientQueueSizes

      Deprecated.

    - #### _gatewayQueueSizes

          protected java.util.Map _gatewayQueueSizes

      Deprecated.

    - #### _regionStatuses

          protected java.util.Map _regionStatuses

      Deprecated.

    - #### _clientHealthStats

          protected java.util.Map _clientHealthStats

      Deprecated.

    - #### _memberName

          protected java.lang.String _memberName

      Deprecated.

    - #### _mcastPort

          protected int _mcastPort

      Deprecated.

    - #### _serverPort

          protected int _serverPort

      Deprecated.

    - #### _mcastAddress

          protected java.net.InetAddress _mcastAddress

      Deprecated.

    - #### _bindAddress

          protected java.lang.String _bindAddress

      Deprecated.

    - #### _locators

          protected java.lang.String _locators

      Deprecated.

    - #### _hostAddress

          protected java.net.InetAddress _hostAddress

      Deprecated.

    - #### _maximumHeapSize

          protected long _maximumHeapSize

      Deprecated.

    - #### _freeHeapSize

          protected long _freeHeapSize

      Deprecated.

    - #### upTime

          protected long upTime

      Deprecated.

    - #### cache

          protected final transient Cache cache

      Deprecated.

  - ### Constructor Detail

    - #### GemFireMemberStatus

          public GemFireMemberStatus()

      Deprecated.

    - #### GemFireMemberStatus

          public GemFireMemberStatus(Cache cache)

      Deprecated.

  - ### Method Detail

    - #### getIsConnected

          public boolean getIsConnected()

      Deprecated.

    - #### setIsConnected

          protected void setIsConnected(boolean isConnected)

      Deprecated.

    - #### getIsClient

          public boolean getIsClient()

      Deprecated.
      Returns whether this member is a client to a cache server
      Returns:
        whether this member is a client to a cache server

    - #### setIsClient

          protected void setIsClient(boolean isClient)

      Deprecated.
      Sets whether this member is a client to a cache server
      Parameters:
        `isClient` - Boolean defining whether this member is a client to a cache server

    - #### getIsServer

          public boolean getIsServer()

      Deprecated.
      Returns whether this member is a cache server
      Returns:
        whether this member is a cache server

    - #### setIsServer

          protected void setIsServer(boolean isServer)

      Deprecated.
      Sets whether this member is a cache server
      Parameters:
        `isServer` - Boolean defining whether this member is a cache server

    - #### getServerPort

          public int getServerPort()

      Deprecated.

    - #### setServerPort

          protected void setServerPort(int port)

      Deprecated.

    - #### getIsGatewayHub

          public boolean getIsGatewayHub()

      Deprecated.
      Returns whether this member is a hub for WAN gateways
      Returns:
        whether this member is a hub for WAN gateways

    - #### setIsGatewayHub

          protected void setIsGatewayHub(boolean isGatewayHub)

      Deprecated.
      Sets whether this member is a cache server
      Parameters:
        `isGatewayHub` - Boolean defining whether this member is a hub for WAN gateways

    - #### getIsLocator

          public boolean getIsLocator()

      Deprecated.

    - #### setIsLocator

          protected void setIsLocator(boolean isLocator)

      Deprecated.

    - #### getIsPrimaryGatewayHub

          public boolean getIsPrimaryGatewayHub()

      Deprecated.

    - #### setIsPrimaryGatewayHub

          protected void setIsPrimaryGatewayHub(boolean isPrimaryGatewayHub)

      Deprecated.

    - #### getGatewayHubStatus

          public java.lang.Object getGatewayHubStatus()

      Deprecated.
      For internal use only
      Returns:
        status of the gateway hub

    - #### getIsSecondaryGatewayHub

          public boolean getIsSecondaryGatewayHub()

      Deprecated.

    - #### getConnectedPeers

          public java.util.Set getConnectedPeers()

      Deprecated.

    - #### setConnectedPeers

          protected void setConnectedPeers(java.util.Set connectedPeers)

      Deprecated.

    - #### getConnectedServers

          public java.util.Set getConnectedServers()

      Deprecated.

    - #### setConnectedServers

          protected void setConnectedServers(java.util.Set connectedServers)

      Deprecated.

    - #### addConnectedServer

          protected void addConnectedServer(java.lang.String connectedServer)

      Deprecated.

    - #### getUnconnectedServers

          public java.util.Set getUnconnectedServers()

      Deprecated.

    - #### setUnconnectedServers

          protected void setUnconnectedServers(java.util.Set unconnectedServers)

      Deprecated.

    - #### addUnconnectedServer

          protected void addUnconnectedServer(java.lang.String unconnectedServer)

      Deprecated.

    - #### getConnectedClients

          public java.util.Set getConnectedClients()

      Deprecated.

    - #### addConnectedClient

          protected void addConnectedClient(java.lang.String connectedClient)

      Deprecated.

    - #### getOutgoingGateways

          public java.util.Map getOutgoingGateways()

      Deprecated.

    - #### getConnectedIncomingGateways

          public java.util.Map getConnectedIncomingGateways()

      Deprecated.

    - #### setConnectedIncomingGateways

          protected void setConnectedIncomingGateways(java.util.Map connectedIncomingGateways)

      Deprecated.

    - #### getClientQueueSizes

          public java.util.Map getClientQueueSizes()

      Deprecated.

    - #### setClientQueueSizes

          protected void setClientQueueSizes(java.util.Map clientQueueSizes)

      Deprecated.

    - #### getClientQueueSize

          public int getClientQueueSize(java.lang.String clientMemberId)

      Deprecated.

    - #### putClientQueueSize

          protected void putClientQueueSize(java.lang.String clientMemberId,
                                            int size)

      Deprecated.

    - #### getClientHealthStats

          public java.util.Map getClientHealthStats()

      Deprecated.

    - #### setClientHealthStats

          protected void setClientHealthStats(java.util.Map stats)

      Deprecated.

    - #### getClientHealthStats

          public java.lang.Object getClientHealthStats(java.lang.String clientID)

      Deprecated.
      For internal use only
      Parameters:
        `clientID` - client for health
      Returns:
        the client's health

    - #### setClientHealthStats

          protected void setClientHealthStats(java.lang.String clientID,
                                              org.apache.geode.internal.admin.remote.ClientHealthStats stats)

      Deprecated.

    - #### putClientHostName

          protected void putClientHostName(java.lang.String clientId,
                                           java.lang.String hostName)

      Deprecated.

    - #### getClientHostName

          public java.lang.String getClientHostName(java.lang.String clientId)

      Deprecated.

    - #### getRegionStatuses

          public java.util.Map getRegionStatuses()

      Deprecated.

    - #### getRegionStatus

          public java.lang.Object getRegionStatus(java.lang.String fullRegionPath)

      Deprecated.
      For internal use only
      Parameters:
        `fullRegionPath` - region path
      Returns:
        status for the region

    - #### putRegionStatus

          protected void putRegionStatus(java.lang.String fullRegionPath,
                                         org.apache.geode.internal.cache.RegionStatus status)

      Deprecated.

    - #### getMemberId

          public java.io.Serializable getMemberId()

      Deprecated.

    - #### setMemberId

          protected void setMemberId(java.io.Serializable memberId)

      Deprecated.

    - #### getMemberName

          public java.lang.String getMemberName()

      Deprecated.

    - #### setMemberName

          protected void setMemberName(java.lang.String memberName)

      Deprecated.

    - #### getMcastPort

          public int getMcastPort()

      Deprecated.

    - #### setMcastPort

          protected void setMcastPort(int mcastPort)

      Deprecated.

    - #### getMcastAddress

          public java.net.InetAddress getMcastAddress()

      Deprecated.

    - #### setMcastAddress

          protected void setMcastAddress(java.net.InetAddress mcastAddress)

      Deprecated.

    - #### getHostAddress

          public java.net.InetAddress getHostAddress()

      Deprecated.

    - #### setHostAddress

          protected void setHostAddress(java.net.InetAddress hostAddress)

      Deprecated.

    - #### getBindAddress

          public java.lang.String getBindAddress()

      Deprecated.

    - #### setBindAddress

          protected void setBindAddress(java.lang.String bindAddress)

      Deprecated.

    - #### getLocators

          public java.lang.String getLocators()

      Deprecated.

    - #### setLocators

          protected void setLocators(java.lang.String locators)

      Deprecated.

    - #### getMaximumHeapSize

          public long getMaximumHeapSize()

      Deprecated.

    - #### setMaximumHeapSize

          protected void setMaximumHeapSize(long size)

      Deprecated.

    - #### getFreeHeapSize

          public long getFreeHeapSize()

      Deprecated.

    - #### setFreeHeapSize

          protected void setFreeHeapSize(long size)

      Deprecated.

    - #### getUsedHeapSize

          public long getUsedHeapSize()

      Deprecated.

    - #### getUpTime

          public long getUpTime()

      Deprecated.

    - #### setUpTime

          public void setUpTime(long upTime)

      Deprecated.

    - #### toString

          public java.lang.String toString()

      Deprecated.
      Overrides:
        `toString` in class `java.lang.Object`

    - #### initialize

          protected void initialize(DistributedSystem distributedSystem)

      Deprecated.

    - #### initializeInstanceVariables

          protected void initializeInstanceVariables()

      Deprecated.

    - #### initializeServer

          protected void initializeServer()

      Deprecated.

    - #### initializeClient

          protected void initializeClient()

      Deprecated.

    - #### initializeAll

          protected void initializeAll(DistributedSystem distributedSystem)

      Deprecated.

    - #### initializeDistributedSystem

          protected void initializeDistributedSystem(DistributedSystem distributedSystem)

      Deprecated.

    - #### initializePeers

          protected void initializePeers(DistributedSystem distributedSystem)

      Deprecated.

    - #### initializeMemory

          protected void initializeMemory()

      Deprecated.

    - #### initializeRegionSizes

          protected void initializeRegionSizes()

      Deprecated.